com.informix.json

## Class JSONSerializer.Configuration

- java.lang.Object
- - com.informix.json.JSONSerializer.Configuration

Enclosing class:
  JSONSerializer

    protected static class JSONSerializer.Configuration
    extends java.lang.Object

### Field Summary

Fields
`protected boolean` `escapeJavaEscapeSequences`
`protected boolean` `minify`
`protected boolean` `strict`
`protected boolean` `suppressControlCharacters`

### Constructor Summary

Constructors
`protected` `Configuration(boolean strict, boolean minify, boolean escapeJavaEscapeSequences, boolean suppressControlCharacters)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### escapeJavaEscapeSequences

    protected final boolean escapeJavaEscapeSequences

#### minify

    protected final boolean minify

#### strict

    protected final boolean strict

#### suppressControlCharacters

    protected final boolean suppressControlCharacters

### Constructor Detail

#### Configuration

    protected Configuration(boolean strict,
                            boolean minify,
                            boolean escapeJavaEscapeSequences,
                            boolean suppressControlCharacters)